!
! ********************************************************************
! *                                                                  *
! *  Copyright 2001 Compaq Computer Corporation                      *
! *                                                                  *
! *  COMPAQ Registered in U.S. Patent and Trademark Office.          *
! *                                                                  *
! *  Confidential computer software. Valid license from Compaq or    *
! *  authorized sublicensor required for possession, use or copying. *
! *  Consistent with FAR 12.211 and 12.212, Commercial Computer      *
! *  Software, Computer Software Documentation, and Technical Data   *
! *  for Commercial Items are licensed to the U.S. Government under  *
! *  vendor's standard commercial license.                           *
! *                                                                  *
! ********************************************************************
!
!DEC$ IF .NOT. DEFINED (LZ32_ )
!DEC$ DEFINE xLZ32_  
!
!
!
!         *****LZ32.LIB Interfaces*****
! 
!     This module defines routine interfaces to the Windows APIs
!     for both the 32-bit (_M_IX86) and 64-bit (_M_IA64) versions of the
!     NT4 and WIN2000 operating systems.  
!
!     The base for this version is: 
!
!           Microsoft Platform Software Development Kit (SDK)
!                Win64 Pre-alpha February 2000
!
!     As with the C header files distributed with the SDK, there
!     is only one common set of files for both 64-bit and 32-bit
!     operating systems.
!   
!     Within the Fortran versions of the header files, the
!     following symbols are used to control the compilation.
! 
!     _M_IA64 conditionally compiles items for 64 bit systems.
!     _M_IX86 conditionally compiles items for 32 bit systesm.
!
!     Known problems: 
!
!07-12-00
!
module lz32
use dfwinty
!DEC$OBJCOMMENT LIB:"LZ32.LIB"
!
INTERFACE 
FUNCTION LZStart( &
             )
USE DFWINTY
  integer(SINT) :: LZStart ! INT
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'LZStart' :: LZStart
 END FUNCTION
END INTERFACE
INTERFACE 
   SUBROUTINE LZDone( &
             )
USE DFWINTY
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'LZDone' :: LZDone
 END SUBROUTINE
END INTERFACE
INTERFACE 
FUNCTION CopyLZFile( &
        arg1, &
        arg2)
USE DFWINTY
  integer(LONG) :: CopyLZFile ! LONG
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CopyLZFile' :: CopyLZFile
  integer(SINT) arg1 ! INT arg1
  integer(SINT) arg2 ! INT arg2
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION LZCopy( &
        arg1, &
        arg2)
USE DFWINTY
  integer(LONG) :: LZCopy ! LONG
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'LZCopy' :: LZCopy
  integer(SINT) arg1 ! INT arg1
  integer(SINT) arg2 ! INT arg2
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION LZInit( &
        arg1)
USE DFWINTY
  integer(SINT) :: LZInit ! INT
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'LZInit' :: LZInit
  integer(SINT) arg1 ! INT arg1
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION GetExpandedName( &
        arg1, &
        arg2)
USE DFWINTY
  integer(SINT) :: GetExpandedName ! INT
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetExpandedNameA' :: GetExpandedName
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg1
  character*(*) arg1 ! LPSTR arg1
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg2
  character*(*) arg2 ! LPSTR arg2
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION LZOpenFile( &
        arg1, &
        arg2, &
        arg3)
USE DFWINTY
  integer(SINT) :: LZOpenFile ! INT
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'LZOpenFileA' :: LZOpenFile
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg1
  character*(*) arg1 ! LPSTR arg1
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg2
  TYPE (T_OFSTRUCT) arg2 ! LPOFSTRUCT arg2
  integer(WORD) arg3 ! WORD arg3
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION LZSeek( &
        arg1, &
        arg2, &
        arg3)
USE DFWINTY
  integer(LONG) :: LZSeek ! LONG
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'LZSeek' :: LZSeek
  integer(SINT) arg1 ! INT arg1
  integer(LONG) arg2 ! LONG arg2
  integer(SINT) arg3 ! INT arg3
 END FUNCTION
END INTERFACE
INTERFACE 
FUNCTION LZRead( &
        arg1, &
        arg2, &
        arg3)
USE DFWINTY
  integer(SINT) :: LZRead ! INT
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'LZRead' :: LZRead
  integer(SINT) arg1 ! INT arg1
!DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg2
  character*(*) arg2 ! LPSTR arg2
  integer(SINT) arg3 ! INT arg3
 END FUNCTION
END INTERFACE
INTERFACE 
   SUBROUTINE LZClose( &
        arg1)
USE DFWINTY
    !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'LZClose' :: LZClose
  integer(SINT) arg1 ! INT arg1
 END SUBROUTINE
END INTERFACE
!
end module lz32
!
!DEC$ ENDIF ! /* LZ32_ */
